Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.impl.model
Class OWLClassImpl

    java.lang.Object
      |
      +--org.semanticweb.owl.impl.model.OWLObjectImpl
            |
            +--org.semanticweb.owl.impl.model.OWLNamedObjectImpl
                  |
                  +--org.semanticweb.owl.impl.model.OWLEntityImpl
                        |
                        +--org.semanticweb.owl.impl.model.OWLClassImpl

All Implemented Interfaces:
  Cloneable, OWLClass, OWLDeprecatableObject, org.semanticweb.owl.impl.model.OWLDeprecatableObjectImpl, OWLDescription, OWLEntity, OWLNamedObject, OWLObject, OWLOntologyObject, Serializable

public class OWLClassImpl
extends OWLEntityImpl
implements OWLClass, org.semanticweb.owl.impl.model.OWLDeprecatableObjectImpl

An OWL Class represents a named class within an ontology. If "anonymous" classes are used within descriptions, then the appropriate description should be used. A Class may have a number of definitions associated with it.

Version:
  $Id: OWLClassImpl.java,v 1.1.1.1 2003/10/14 17:10:14 sean_bechhofer Exp $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.semanticweb.owl.impl.model.OWLNamedObjectImpl
`uri`

Constructor Summary
`OWLClassImpl(OWLDataFactoryImpl factory, URI uri)`

Method Summary
`void` | `accept(OWLDescriptionVisitor visitor)` Accept a visit from a visitor
`void` | `accept(OWLEntityVisitor visitor)` Accept a visit from a visitor
`void` | `accept(OWLObjectVisitor visitor)` Accept a visit from a visitor
`Set` | `getEnumerations()` Returns the enumerations that have been asserted as being equivalent to this class.
`Set` | `getEnumerations(OWLOntology o)` Returns the enumerations that have been asserted as being equivalent to this class in the given ontology.
`Set` | `getEnumerations(Set ontos)` Returns the enumerations that have been asserted as being equivalent to this class in the given ontologies.
`Set` | `getEquivalentClasses()` Returns equivalent classes to this class.
`Set` | `getEquivalentClasses(OWLOntology o)` Returns the equivalent classes in the given ontology.
`Set` | `getEquivalentClasses(Set ontos)` Returns the equivalent classes in the given ontology.
`Set` | `getSuperClasses()` Returns the explicit superclasses of this class.
`Set` | `getSuperClasses(OWLOntology o)` Returns the explicit superclasses of this class in the given ontology.
`Set` | `getSuperClasses(Set ontos)` Returns the explicit superclasses of this class in the given ontologies.
`boolean` | `isDeprecated(OWLOntology o)`
`void` | `setDeprecated(OWLOntology o, boolean b)`

Methods inherited from class org.semanticweb.owl.impl.model.OWLEntityImpl
`addOntology, getOntologies, removeOntology`

Methods inherited from class org.semanticweb.owl.impl.model.OWLNamedObjectImpl
`getURI`

Methods inherited from class org.semanticweb.owl.impl.model.OWLObjectImpl
`clone, getAnnotations, getAnnotations, getContainedObjects, getMetadata, getOWLConnection, getOWLDataFactory`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.semanticweb.owl.model.OWLObject
`clone, getAnnotations, getAnnotations, getContainedObjects, getMetadata, getOWLConnection, getOWLDataFactory`

Methods inherited from interface org.semanticweb.owl.model.OWLNamedObject
`getURI`

Methods inherited from interface org.semanticweb.owl.model.OWLOntologyObject
`getOntologies`

Constructor Detail

### OWLClassImpl

    public OWLClassImpl(OWLDataFactoryImpl factory,
                        URI uri)

Method Detail

### getSuperClasses

    public Set getSuperClasses(OWLOntology o)

  Returns the explicit superclasses of this class in the given ontology. Returns a collection of `OWLFrame`s. Each frame in this list provides necessary conditions for class membership.

  Specified by:
    `getSuperClasses` in interface `OWLClass`

### getSuperClasses

    public Set getSuperClasses(Set ontos)

  Returns the explicit superclasses of this class in the given ontologies. Returns a collection of `OWLFrame`s. Each frame in this list provides necessary conditions for class membership.

  Specified by:
    `getSuperClasses` in interface `OWLClass`

### getSuperClasses

    public Set getSuperClasses()

  Returns the explicit superclasses of this class. Returns a collection of `OWLFrame`s. Each frame in this list provides necessary conditions for class membership.

### getEquivalentClasses

    public Set getEquivalentClasses(OWLOntology o)

  Returns the equivalent classes in the given ontology. Returns a collection of `OWLFrame`s. Each frame in this list provides necessary conditions for class membership.

  Specified by:
    `getEquivalentClasses` in interface `OWLClass`

### getEquivalentClasses

    public Set getEquivalentClasses(Set ontos)

  Returns the equivalent classes in the given ontology. Returns a collection of `OWLFrame`s. Each frame in this list provides necessary conditions for class membership.

  Specified by:
    `getEquivalentClasses` in interface `OWLClass`

### getEquivalentClasses

    public Set getEquivalentClasses()

  Returns equivalent classes to this class. Returns a collection of `OWLFrame`s. Each frame in the list provides necessary and sufficient conditions for the class. There may be several equivalences in which case all are deemed to be equivalent.

### getEnumerations

    public Set getEnumerations(OWLOntology o)

  Returns the enumerations that have been asserted as being equivalent to this class in the given ontology. Each Enumeration in the collection provides an enumeration of all the individuals in the class. Note that if this collection contains more than one enumeration, then implicit equivalances between individuals may be being asserted.

  Specified by:
    `getEnumerations` in interface `OWLClass`

### getEnumerations

    public Set getEnumerations(Set ontos)

  Returns the enumerations that have been asserted as being equivalent to this class in the given ontologies. Each Enumeration in the collection provides an enumeration of all the individuals in the class. Note that if this collection contains more than one enumeration, then implicit equivalances between individuals may be being asserted.

  Specified by:
    `getEnumerations` in interface `OWLClass`

### getEnumerations

    public Set getEnumerations()

  Returns the enumerations that have been asserted as being equivalent to this class. Each Enumeration in the collection provides an enumeration of all the individuals in the class. Note that if this collection contains more than one enumeration, then implicit equivalances between individuals may be being asserted.

### isDeprecated

    public boolean isDeprecated(OWLOntology o)

  Specified by:
    `isDeprecated` in interface `OWLDeprecatableObject`

### setDeprecated

    public void setDeprecated(OWLOntology o,
                              boolean b)

  Specified by:
    `setDeprecated` in interface `org.semanticweb.owl.impl.model.OWLDeprecatableObjectImpl`

### accept

    public void accept(OWLObjectVisitor visitor)
                throws OWLException

  Description copied from interface: `OWLObject`
  Accept a visit from a visitor

  Specified by:
    `accept` in interface `OWLObject`
  Specified by:
    `accept` in class `OWLObjectImpl`
    `OWLException`

### accept

    public void accept(OWLEntityVisitor visitor)
                throws OWLException

  Description copied from interface: `OWLEntity`
  Accept a visit from a visitor

  Specified by:
    `accept` in interface `OWLEntity`
    `OWLException`

### accept

    public void accept(OWLDescriptionVisitor visitor)
                throws OWLException

  Description copied from interface: `OWLDescription`
  Accept a visit from a visitor

  Specified by:
    `accept` in interface `OWLDescription`
    `OWLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb